Package org.xnio

# Interface ChannelListener.Setter<T extends Channel>

Type Parameters:
  `T` - the channel type

All Known Implementing Classes:
  `AcceptListenerSettable.Setter`, `ChannelListener.SimpleSetter`, `CloseListenerSettable.Setter`, `ReadListenerSettable.Setter`, `WriteListenerSettable.Setter`

Enclosing interface:
  `ChannelListener<T extends Channel>`

public static interface ChannelListener.Setter<T extends Channel>
A setter for a channel listener. The indirection is necessary because while covariance is supported on return types, contravariance is not supported on parameters.

Since:
  2.0

## Method Summary

Modifier and Type
Method
Description
`void`
`set(ChannelListener<? super T> listener)`
Set the listener, or `null` to ignore the associated event type.

## Method Details

### set

void set(ChannelListener<? super T> listener)
Set the listener, or `null` to ignore the associated event type.

Parameters:
  `listener` - the new listener